Set (or replace) this org's OAuth app override for a provider type
PUT
/api/v1/providers/{type}/oauth-app
const url = 'https://api.yggy.tech/api/v1/providers/jira/oauth-app';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"clientId":"example","clientSecret":"example","instanceBaseUrl":"https://example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.yggy.tech/api/v1/providers/jira/oauth-app \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "clientId": "example", "clientSecret": "example", "instanceBaseUrl": "https://example.com" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” type
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
clientId
required
string
clientSecret
required
string
instanceBaseUrl
string format: uri
Example generated
{ "clientId": "example", "clientSecret": "example", "instanceBaseUrl": "https://example.com"}Responses
Section titled “ Responses ”The stored override (secret never echoed back)
Media type application/json
object
override
required
object
type
required
string
clientId
required
string
instanceBaseUrl
required
string | null
createdAt
required
string
updatedAt
required
string
Example generated
{ "override": { "type": "example", "clientId": "example", "instanceBaseUrl": "example", "createdAt": "example", "updatedAt": "example" }}Provider type doesn’t support OAuth, invalid body, or no active organization
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Not authenticated
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}